Package org.jbpm.process.instance.context.exception

## Class CompensationScopeInstance

- java.lang.Object
- - org.jbpm.process.instance.context.AbstractContextInstance
  - - org.jbpm.process.instance.context.exception.ExceptionScopeInstance
    - - org.jbpm.process.instance.context.exception.CompensationScopeInstance

- All Implemented Interfaces:
    `Serializable`, `ContextInstance`

      public class CompensationScopeInstance
      extends ExceptionScopeInstance

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompensationScopeInstance()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addCompensationInstances​(Collection<NodeInstance> generatedInstances)` |
    `String` | `getContextType()` |
    `void` | `handleException​(String activityRef, Object dunno)` |
    `void` | `handleException​(ExceptionHandler handler, String compensationActivityRef, Object dunno)` |

    - ### Methods inherited from class org.jbpm.process.instance.context.exception.ExceptionScopeInstance

      `getExceptionScope`

    - ### Methods inherited from class org.jbpm.process.instance.context.AbstractContextInstance

      `getContext, getContextId, getContextInstanceContainer, getProcessInstance, setContextId, setContextInstanceContainer, setProcessInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompensationScopeInstance

          public CompensationScopeInstance()

  - ### Method Detail

    - #### getContextType

          public String getContextType()

      Specified by:
        `getContextType` in interface `ContextInstance`
      Overrides:
        `getContextType` in class `ExceptionScopeInstance`

    - #### addCompensationInstances

          public void addCompensationInstances​(Collection<NodeInstance> generatedInstances)

    - #### handleException

          public void handleException​(String activityRef,
                                      Object dunno)

      Overrides:
        `handleException` in class `ExceptionScopeInstance`

    - #### handleException

          public void handleException​(ExceptionHandler handler,
                                      String compensationActivityRef,
                                      Object dunno)

      Specified by:
        `handleException` in class `ExceptionScopeInstance`